XIncludeFile "..\..\PureAutoIt.pbi"
UseModule PureAutoIt

Procedure Example()
  ; Create an INI section structure as an map.
  NewMap section.s()
  section("Title") = "AutoIt"
  section("Version") = _PureAutoItVersion()
  section("OS") = _OSVersion()

  ; Write the map to the section labelled 'General'.
  IniWriteSectionMap(section(), _TempDir() + "\Example.ini", "General")

  ; Read the INI section labelled 'General' to map.
  NewMap sMap.s()
  IniReadSection(sMap.s(), _TempDir() + "\Example.ini", "General")

  ; Check if an error occurred.
  If Not _Error()
    ; Enumerate through the map displaying the keys and their respective values.
    ForEach sMap()
      MsgBox(#MB_SYSTEMMODAL, "", "Key: " + MapKey(sMap()) + #CRLF$ + "Value: " + sMap())
    Next
  EndIf

  ; Delete the INI file.
  FileDelete(_TempDir() + "\Example.ini")
EndProcedure

Example()
