XIncludeFile "..\..\PureAutoIt.pbi"
UseModule PureAutoIt

Procedure Example()
  ; Create a constant variable in Local scope of the shortcut filepath.
  sFilePath.s = _DesktopDir() + "\FileGetShortcutExample.lnk"

  ; Create a shortcut on the desktop to explorer.exe and set the hotkey combination Ctrl+Alt+T or in AutoIt ^!t to the shortcut.
  FileCreateShortcut(_WindowsDir() + "\explorer.exe", sFilePath, _WindowsDir(), "/e,c:\",
      "Tooltip description of the shortcut.", _SystemDir() + "\shell32.dll", "^!t", 15, #SW_MINIMIZE)

  ; Retrieve details about the shortcut.
  Dim aDetails.s(0)
  FileGetShortcut(sFilePath, aDetails())
  If Not _Error()
    MsgBox(#MB_SYSTEMMODAL, "", "Path: " + aDetails(0) + #CRLF$ +
        "Working directory: " + aDetails(1) + #CRLF$ +
        "Arguments: " + aDetails(2) + #CRLF$ +
        "Description: " + aDetails(3) + #CRLF$ +
        "Icon filename: " + aDetails(4) + #CRLF$ +
        "Icon index: " + aDetails(5) + #CRLF$ +
        "Shortcut state: " + aDetails(6) + #CRLF$)
  EndIf

  ; Delete the shortcut.
  FileDelete(sFilePath)
EndProcedure

Example()

