XIncludeFile "..\..\PureAutoIt.pbi"
UseModule PureAutoIt

Procedure.s AttributeToString(sAttribute.s)
  ; Create a 1d array of the file attribute letters by splitting the string at the comma (,).
  Dim aInput.s(0)
  StringSplit(aInput(), "R,A,S,H,N,D,O,C,T", ",")

  ; Create a 1d array using the friendlier file attribute names by splitting the string at the comma (,).
  Dim aOutput.s(0)
  StringSplit(aOutput(), "Read-only /, Archive /, System /, Hidden /" +
      ", Normal /, Directory /, Offline /, Compressed /, Temporary /", ",")

  ; Loop through the attribute letters array to replace with the friendlier value e.g. A becomes Archive or S becomes System.
  For i = 1 To Val(aInput(0))
    sAttribute = StringReplace(sAttribute, aInput(i), aOutput(i), 0, #STR_CASESENSE)
  Next

  ; Remove the single space and trailing forward slash.
  sAttribute = StringTrimRight(sAttribute, 2)

  ; Return the attribute string.
  ProcedureReturn sAttribute
EndProcedure

Procedure Example()
  ; Create a constant variable in Local scope to store the file attributes of the current script.
  sAttribute.s = FileGetAttrib(_ScriptFullPath())

  ; Display the string returned by FileGetAttrib.
  MsgBox(#MB_SYSTEMMODAL, "", "The attribute string: " + #CRLF$ + sAttribute)

  ; Display the string returned by AttributeToString
  MsgBox(#MB_SYSTEMMODAL, "", "The attribute string with easier to understand values: " + #CRLF$ +
      AttributeToString(sAttribute))
EndProcedure

Example()
