XIncludeFile "..\..\PureAutoIt.pbi"
UseModule PureAutoIt

; Create a file.
Procedure FileCreate(sFilePath.s, sString.s)
  fReturn = #True ; Create a variable to store a boolean value.
  If Not FileExists(sFilePath)
    fReturn = FileWrite(sFilePath, sString)
  EndIf
  ProcedureReturn fReturn
EndProcedure

Procedure Example()
  ; Create a constant variable in Local scope of the filepaths that will be renamed.
  sSource.s = _TempDir() + "\FileMove.txt"
  sDestination.s = _TempDir() + "\FileMove_New.txt"

  ; Create a temporary file to rename.
  If Not FileCreate(sSource, "This is an example of using FileMove.")
    ProcedureReturn MsgBox(#MB_SYSTEMMODAL, "", "An error occurred whilst writing the temporary file.")
  EndIf

  ; Rename a file using FileMove and overwrite the new file if it exists.
  FileMove(sSource, sDestination, #FC_OVERWRITE)

  ; Display results that the destination file was renamed.
  MsgBox(#MB_SYSTEMMODAL, "", "Does FileMove.txt exist?: " + FileExists(sSource) + #CRLF$ +  ; FileExists should return 0.
      "Does FileMove_New.txt exist?: " + FileExists(sDestination) + #CRLF$) ; FileExists should return 1.

  ; Delete the temporary files. FileDelete checks if the file exists.
  FileDelete(sSource)
  FileDelete(sDestination)
EndProcedure

Example()

