XIncludeFile "..\..\PureAutoIt.pbi"
UseModule PureAutoIt

Procedure Example()
  ; Create a constant variable in Local scope of the message to display in FileOpenDialog.
  sMessage.s = "Hold down Ctrl or Shift to choose multiple files."

  ; Display an open dialog to select a list of file(s).
  sFileOpenDialog.s = FileOpenDialog(sMessage, _WindowsDir() + "\", "Images (*.jpg;*.bmp)|Videos (*.avi;*.mpg)|Executable (*.exe)", #FD_FILEMUSTEXIST + #FD_MULTISELECT)
  If _Error()
    ; Display the error message.
    MsgBox(#MB_SYSTEMMODAL, "", "No file(s) were selected.")

    ; Change the working directory (_WorkingDir) back to the location of the script directory as FileOpenDialog sets it to the last accessed folder.
    FileChangeDir(_ScriptDir())
  Else
    ; Change the working directory (_WorkingDir) back to the location of the script directory as FileOpenDialog sets it to the last accessed folder.
    FileChangeDir(_ScriptDir())

    ; Replace instances of "|" with _CRLF in the string returned by FileOpenDialog.
    sFileOpenDialog = StringReplace(sFileOpenDialog, "|", #CRLF$)

    ; Display the list of selected files.
    MsgBox(#MB_SYSTEMMODAL, "", "You chose the following files:" + #CRLF$ + sFileOpenDialog)
  EndIf
EndProcedure

Example()
