XIncludeFile "..\..\PureAutoIt.pbi"
UseModule PureAutoIt

Procedure Example()
  ; Create a constant variable in Local scope of the message to display in FileOpenDialog.
  sMessage.s = "Select a single file of any type."

  ; Display an open dialog to select a file.
  sFileOpenDialog.s = FileOpenDialog(sMessage, _WindowsDir() + "\", "All (*.*)", #FD_FILEMUSTEXIST)
  If _Error()
    ; Display the error message.
    MsgBox(#MB_SYSTEMMODAL, "", "No file was selected.")

    ; Change the working directory (_WorkingDir) back to the location of the script directory as FileOpenDialog sets it to the last accessed folder.
    FileChangeDir(_ScriptDir())
  Else
    ; Change the working directory (_WorkingDir) back to the location of the script directory as FileOpenDialog sets it to the last accessed folder.
    FileChangeDir(_ScriptDir())

    ; Replace instances of "|" with _CRLF in the string returned by FileOpenDialog.
    sFileOpenDialog = StringReplace(sFileOpenDialog, "|", #CRLF$)

    ; Display the selected file.
    MsgBox(#MB_SYSTEMMODAL, "", "You chose the following file:" + #CRLF$ + sFileOpenDialog)
  EndIf
EndProcedure

Example()
