XIncludeFile "..\..\PureAutoIt.pbi"
UseModule PureAutoIt

Procedure Example()
  ; Create a constant variable in Local scope of the filepath that will be read/written to.
  sFilePath.s = _TempDir() + "\FileOpen.txt"

  ; Open the file for read/write access.
  hFileOpen.s = FileOpen(sFilePath, #FO_READ + #FO_OVERWRITE)
  If hFileOpen = ""
    MsgBox(#MB_SYSTEMMODAL, "", "An error occurred when reading the file.")
    ProcedureReturn #False
  EndIf

  ; Write some data.
  FileWrite(hFileOpen, "This is some data to show that the handle was open with read/write access." + #CRLF$)

  ; Retrieve the current position in the file.
  iFilePos = FileGetPos(hFileOpen)

  ; Now, adjust the position to the beginning.
  FileSetPos(hFileOpen, 0, #FILE_BEGIN)

  ; Display the contents of the file.
  MsgBox(#MB_SYSTEMMODAL, "", FileRead(hFileOpen))

  ; Now, adjust the position back to the previous position.
  FileSetPos(hFileOpen, 0, iFilePos)

  ; Write some addition data.
  FileWrite(hFileOpen, "This is some additional data.")

  ; Adjust the position back to the previous position.
  FileSetPos(hFileOpen, 0, #FILE_BEGIN)

  ; Display the contents of the file.
  MsgBox(#MB_SYSTEMMODAL, "", FileRead(hFileOpen))

  ; Close the handle returned by FileOpen.
  FileClose(hFileOpen)

  ; Delete the temporary file.
  FileDelete(sFilePath)

  ProcedureReturn #True
EndProcedure

Example()
