XIncludeFile "..\..\PureAutoIt.pbi"
UseModule PureAutoIt

; Create a file.
Procedure FileCreate(sFilePath.s, sString.s)
  fReturn = #True ; Create a variable to store a boolean value.
  If Not FileExists(sFilePath)
    fReturn = FileWrite(sFilePath, sString)
  EndIf
  ProcedureReturn fReturn
EndProcedure

Procedure Example()
  ; Create a constant variable in Local scope of the filepath that will be read/written to.
  sFilePath.s = _TempDir() + "\FileRecycle.txt"

  ; Create a temporary file to read data from.
  If Not FileCreate(sFilePath, "This is an example of using FileRecycle.")
    ProcedureReturn MsgBox(#MB_SYSTEMMODAL, "", "An error occurred whilst writing the temporary file.")
  EndIf

  ; Display the contents of the file passing the filepath to FileRead instead of a handle returned by FileOpen.
  MsgBox(#MB_SYSTEMMODAL, "", "Contents of the file:" + #CRLF$ + FileRead(sFilePath))

  ; Delete the temporary file by sending to the recycle bin.
  iRecycle = FileRecycle(sFilePath)

  ; Display a message of whether the file was deleted and open the recycle bin if successful.
  If iRecycle
    MsgBox(#MB_SYSTEMMODAL, "", "The file was successfuly deleted.")

    ; Open the recycle bin by using the following CLSID.
    ShellExecute("::{645FF040-5081-101B-9F08-00AA002F954E}")
  Else
    MsgBox(#MB_SYSTEMMODAL, "", "An error occurred whilst deleting the file.")
  EndIf
EndProcedure

Example()
