XIncludeFile "..\..\PureAutoIt.pbi"
UseModule PureAutoIt

; Create a file.
Procedure FileCreate(sFilePath.s, sString.s)
  fReturn = #True ; Create a variable to store a boolean value.
  If Not FileExists(sFilePath)
    fReturn = FileWrite(sFilePath, sString)
  EndIf
  ProcedureReturn fReturn
EndProcedure

Procedure Example()
  ; Create a constant variable in Local scope of the filepath that will be read/written to.
  sFilePath.s = _TempDir() + "\FileWrite.txt"

  ; Create a temporary file to write data to.
  If Not FileCreate(sFilePath, "Start of the FileWrite example, line 1. " + #CRLF$)
     ProcedureReturn MsgBox(#MB_SYSTEMMODAL, "", "An error occurred whilst writing the temporary file.")
  EndIf

  ; Open the file for writing (append to the end of a file) and store the handle to a variable.
  hFileOpen.s = FileOpen(sFilePath, #FO_APPEND)
  If hFileOpen = ""
    MsgBox(#MB_SYSTEMMODAL, "", "An error occurred when reading the file.")
    ProcedureReturn #False
  EndIf

  ; Write data to the file using the handle returned by FileOpen.
  FileWrite(hFileOpen, "Line 2")
  FileWrite(hFileOpen, "This is still line 2 as a new line wasn't appended to the last FileWrite call." + #CRLF$)
  FileWrite(hFileOpen, "Line 3" + #CRLF$)
  FileWrite(hFileOpen, "Line 4")

  ; Close the handle returned by FileOpen.
  FileClose(hFileOpen)

  ; Display the contents of the file passing the filepath to FileRead instead of a handle returned by FileOpen.
  MsgBox(#MB_SYSTEMMODAL, "", "Contents of the file:" + #CRLF$ + FileRead(sFilePath))

  ; Delete the temporary file.
  FileDelete(sFilePath)
EndProcedure

Example()
